> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI agent review item activity

> Get the remediation activity feed for a review item



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/aiAgents/admin/review-items/{fingerprint}/activity
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/aiAgents/admin/review-items/{fingerprint}/activity:
    get:
      summary: Get AI agent review item activity
      description: Get the remediation activity feed for a review item
      operationId: getAiAgentReviewItemActivity
      parameters:
        - in: path
          name: fingerprint
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAiAgentReviewItemActivityResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiAiAgentReviewItemActivityResponse:
      $ref: '#/components/schemas/ApiSuccess_AiAgentReviewItemActivity_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ApiSuccess_AiAgentReviewItemActivity_:
      properties:
        results:
          $ref: '#/components/schemas/AiAgentReviewItemActivity'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    AiAgentReviewItemActivity:
      properties:
        verdictStale:
          type: boolean
          description: >-
            True when the PR changed after the latest verdict — derived from
            event

            ordering (latest pr_opened/pr_updated/writeback_completed occurred
            after

            the latest verification_completed). Drives the "Retest" prompt.
        liveMessage:
          type: string
          nullable: true
          description: Streaming progress text for the live row (writeback step messages).
        liveState:
          allOf:
            - $ref: '#/components/schemas/AiAgentReviewRemediationLiveState'
          nullable: true
        events:
          items:
            $ref: '#/components/schemas/AiAgentReviewRemediationEvent'
          type: array
      required:
        - verdictStale
        - liveMessage
        - liveState
        - events
      type: object
    AiAgentReviewRemediationLiveState:
      type: string
      enum:
        - writeback
        - compiling
        - verifying
      description: |-
        The in-flight step of a remediation, derived from current status + which
        events exist — never stored. Renders as the single accented "live" row.
    AiAgentReviewRemediationEvent:
      allOf:
        - properties:
            createdByUserUuid:
              type: string
              nullable: true
            occurredAt:
              type: string
              format: date-time
            remediationUuid:
              type: string
            uuid:
              type: string
          required:
            - createdByUserUuid
            - occurredAt
            - remediationUuid
            - uuid
          type: object
        - $ref: '#/components/schemas/AiAgentReviewRemediationEventDetail'
    AiAgentReviewRemediationEventDetail:
      anyOf:
        - properties:
            payload:
              properties:
                sourcePromptUuid:
                  type: string
                sourceThreadUuid:
                  type: string
                excerpt:
                  type: string
                  nullable: true
              required:
                - sourcePromptUuid
                - sourceThreadUuid
                - excerpt
              type: object
            eventType:
              type: string
              enum:
                - finding_opened
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                deletions:
                  type: number
                  format: double
                  nullable: true
                additions:
                  type: number
                  format: double
                  nullable: true
                files:
                  items:
                    type: string
                  type: array
              required:
                - deletions
                - additions
                - files
              type: object
            eventType:
              type: string
              enum:
                - writeback_completed
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                prNumber:
                  type: number
                  format: double
                  nullable: true
                prUrl:
                  type: string
              required:
                - prNumber
                - prUrl
              type: object
            eventType:
              type: string
              enum:
                - pr_opened
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                prUrl:
                  type: string
                  nullable: true
              required:
                - prUrl
              type: object
            eventType:
              type: string
              enum:
                - pr_updated
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                previewProjectUuid:
                  type: string
              required:
                - previewProjectUuid
              type: object
            eventType:
              type: string
              enum:
                - preview_compiled
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                previewThreadUuid:
                  type: string
              required:
                - previewThreadUuid
              type: object
            eventType:
              type: string
              enum:
                - verification_completed
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                prUrl:
                  type: string
              required:
                - prUrl
              type: object
            eventType:
              type: string
              enum:
                - pr_merged
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                prUrl:
                  type: string
              required:
                - prUrl
              type: object
            eventType:
              type: string
              enum:
                - pr_closed
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              $ref: '#/components/schemas/Record_string.never_'
            eventType:
              type: string
              enum:
                - resolved
              nullable: false
          required:
            - payload
            - eventType
          type: object
        - properties:
            payload:
              properties:
                errorMessage:
                  type: string
                  nullable: true
              required:
                - errorMessage
              type: object
            eventType:
              type: string
              enum:
                - failed
              nullable: false
          required:
            - payload
            - eventType
          type: object
    Record_string.never_:
      properties: {}
      type: object
      description: Construct a type with a set of properties K of type T

````